--- old/usr/src/uts/common/rpc/rpcib.c	2015-08-19 07:25:22.387030987 -0400
+++ new/usr/src/uts/common/rpc/rpcib.c	2015-08-19 07:25:22.393032770 -0400
@@ -2187,7 +2187,7 @@
 	ASSERT(wd != NULL);
 	mutex_enter(&wd->sendwait_lock);
 	if (wd->status == (uint_t)SEND_WAIT) {
-		timout = drv_usectohz(SEND_WAIT_TIME * 1000000) +
+		timout = drv_sectohz(SEND_WAIT_TIME) +
 		    ddi_get_lbolt();
 
 		if (qp->mode == RIB_SERVER) {
@@ -2438,7 +2438,7 @@
 		 * Wait for RDMA_DONE from remote end
 		 */
 		cv_wait_ret = cv_reltimedwait(&rd->rdma_done_cv,
-		    &qp->rdlist_lock, drv_usectohz(REPLY_WAIT_TIME * 1000000),
+		    &qp->rdlist_lock, drv_sectohz(REPLY_WAIT_TIME),
 		    TR_CLOCK_TICK);
 
 		rdma_done_rm(qp, rd);
@@ -2686,7 +2686,7 @@
 		 */
 		if (rep->status == (uint_t)REPLY_WAIT) {
 			timout = ddi_get_lbolt() +
-			    drv_usectohz(REPLY_WAIT_TIME * 1000000);
+			    drv_sectohz(REPLY_WAIT_TIME);
 
 			while ((cv_wait_ret = cv_timedwait_sig(&rep->wait_cv,
 			    &qp->replylist_lock, timout)) > 0 &&
@@ -4281,7 +4281,7 @@
 				 */
 				cn->c_ref++;
 				timout =  ddi_get_lbolt() +
-				    drv_usectohz(CONN_WAIT_TIME * 1000000);
+				    drv_sectohz(CONN_WAIT_TIME);
 				while ((cv_stat = cv_timedwait_sig(&cn->c_cv,
 				    &cn->c_lock, timout)) > 0 &&
 				    cn->c_state == C_CONN_PEND)
